al_peek_next_event(3)

NAME

al_peek_next_event - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_peek_next_event(ALLEGRO_EVENT_QUEUE *queue, ALLEGRO_EVENT *ret_event)

DESCRIPTION

Copy the contents of the next event in the event queue specified into ret_event and return true. The original event packet will remain at the head of the queue. If the event queue is actually empty, this function returns false and the contents of ret_event are unspecified.

SEE ALSO

ALLEGRO_EVENT(3), al_get_next_event(3), al_drop_next_event(3)